السلام عليكم
واجهتني مؤخرا مشكلة في إظهار وقراءة الفيديوهات من خلال تويتر في متصفح فايرفوكس بعد تحديثه
وولعلم أن المشكل غير وارد في كروميوم وكذلك الفيديوهات تشتغل في فايرفوكس إذا تعلق اﻷمر بالفايسبوك أو غيره ما عدا تويتر.
فأين يكمن الخلل من فضلكم.
وهذه صورة مرفقة لما يظهر مكان الفيديو بتويتر.
تحياتي.
ملحوظة : النظام هو linux Mint 17.3 Mate

تم قبول هذا الجواب كحل

22:06 - 22.11.2016 - #رابط هذا الرد
جرب الاستغناء عن الحزمتين الأخيرتين لأنه يبدو أنهما تتعارضان مع بعضهما البعض. الأمر سيكون كالتالي:
sudo apt-get install libav-tools


بعد ذلك حدث النظام والتطبيقات بالأمر:
sudo apt-get dist-upgrade


معلومة: المشكل بسبب علة اكتشفت في حزمة libavcodec مؤخرا في إصدار أوبنتو 14.04 وما اعتمد عليه، بما فيها لينكس منت 17.3. ترقيع للعلة تم تقديمه وسيصل للمستخدمين كتحديث قريبا..
تم تصغير هذا الرد حاليا إظهار
ردود (7)
  • تم قبول هذا الجواب كحل

    14:28 - 23.11.2016 - #رابط هذا الرد
    المعلومات والشروح متوفرة وبكثرة إلى درجة تجعل أمثالي يتيه، لكن بوجود متمرس مثلكم يسهل كل صعب ﻷخذكم اليد برفق وتدلون على الحل دون تعقيد
    وهذا ما يسمى السهل الممتنع، الاعتماد على النفس والبحث جميل لكن بوجود اﻷستاذ تكون اﻷمور أسهل ﻷنه يختصر لنا اﻷشياء لربح الوقت .
    لك تحياتي وامتناني وأنا في سن متقدم جدا( 66 عاما) ولا زلت أزاحم الشباب في التعلم ! ولا أجد غضاضة في ذلك .
    تم تصغير هذا الرد حاليا إظهار
  • تم قبول هذا الجواب كحل

    05:13 - 22.11.2016 - #رابط هذا الرد
    وهذا توضيح آخر
    في أعلى صفحة تويتر يظهر التنبيه التالي
    مرفق في الصورة
    تم تصغير هذا الرد حاليا إظهار
  • تم قبول هذا الجواب كحل

    18:51 - 22.11.2016 - #رابط هذا الرد
    مرحبا،
    من رسالة الخطأ يظهر أن المشكلة من أداة libavcodec. إما انها غير مثبتة او غير مفعلة في فيرفكس او أنها نسخة قديمة فيها مشاكل أمنية. حاول تثبيت نسخة أحدث بالأوامر التالية:
    sudo add-apt-repository ppa:heyarje/libav-11
    sudo apt-get update
    sudo apt-get install libav-tools libavcodec56 libavcodec-extra-56
    تم تصغير هذا الرد حاليا إظهار
  • تم قبول هذا الجواب كحل

    21:53 - 22.11.2016 - #رابط هذا الرد
    الشكر الجزيل لكم أستاذ محمد على الاهتمام وعلى الرد السريع
    حين تنفيذ السطر اﻷخير (التثبيت ) يظهر أن هناك مشكل ما وهذا توضيح مرفق في الصورة.
    تحياتي وأنعمتم مساء .
    تم تصغير هذا الرد حاليا إظهار
  • تم قبول هذا الجواب كحل

    22:03 - 22.11.2016 - #رابط هذا الرد
    وقد يكون السبب مشروحا في عدم اتمام التحديث أو استحالة الولوج لبعض الملفات ، عند تنفيذ اﻷمر الثاني
    وذا توضيح في الصورة المرفقة
    تم تصغير هذا الرد حاليا إظهار
  • تم قبول هذا الجواب كحل

    05:16 - 23.11.2016 - #رابط هذا الرد
    مشكور سيدي محمد على الحل المقترح وقد صدقت حين قلت أن تصحيح العلة في طريقه إلى المستخدمين وفعلا وصلني للتو ضمن تحديثات النظام وعند تطبيقه عاد اﻷمور إلى نصابها بكل سلاسة ويسر.
    وعلى كل أفادني ردكم كثيرا إذ حفزني إلى معرفة الفرق بين اﻷمر apt-get upgrade واﻷمر apt-get dist-upgrade
    ألف شكر ومودتي موصولة لكم ولجميع محبي المجمع ولعالم اللينكس.
    حفظكم الله وزاد من تألقكم ، والسلام.
    المرفقات:
    تم تصغير هذا الرد حاليا إظهار
  • تم قبول هذا الجواب كحل

    05:41 - 23.11.2016 - #رابط هذا الرد
    على الرحب والسعة :)

    وعلى كل أفادني ردكم كثيرا إذ حفزني إلى معرفة الفرق بين اﻷمر apt-get upgrade واﻷمر apt-get dist-upgrade


    dist-upgrade تعمل على تحديث حتى الحزمات الخاصة بالنظام، مثل النواة. أما upgrade فهي تشمل تحديثات البرمجيات فقط. يمكنك الاطلاع أيضا على الأمر apt فهو بمثابة نسخة أحدث من apt-get مع إعادة ترتيب وهيكلة لجعل عمليات التثبيت، البحث وإدارة البرامج أسهل. الأداة متوفرة في لينكس منت 17. لمزيد من المعلومات عن apt يمكنك استخدام خاصية المساعدة المختصرة:
    apt -h


    أو تصفح دليل الأداة الشامل بالأمر:
    man apt
    تم تصغير هذا الرد حاليا إظهار
أضف ردك